import type { AgentContext } from '../agent';
import type { CacheRepository } from './CacheRepository';
export declare class PersistedLruCache<CacheValue> {
    private cacheId;
    private limit;
    private _cache?;
    private cacheRepository;
    constructor(cacheId: string, limit: number, cacheRepository: CacheRepository);
    get(agentContext: AgentContext, key: string): Promise<CacheValue | undefined>;
    set(agentContext: AgentContext, key: string, value: CacheValue): Promise<void>;
    private getCache;
    private lruFromRecord;
    private fetchCacheRecord;
    private persistCache;
}
