import type { AgentContext } from '../../../../agent';
import type { KeyType } from '../../../../crypto';
import type { DidRegistrar } from '../../domain/DidRegistrar';
import type { DidCreateOptions, DidCreateResult, DidDeactivateResult, DidUpdateResult } from '../../types';
import { DidRepository } from '../../repository';
export declare class KeyDidRegistrar implements DidRegistrar {
    readonly supportedMethods: string[];
    private didRepository;
    constructor(didRepository: DidRepository);
    create(agentContext: AgentContext, options: KeyDidCreateOptions): Promise<DidCreateResult>;
    update(): Promise<DidUpdateResult>;
    deactivate(): Promise<DidDeactivateResult>;
}
export interface KeyDidCreateOptions extends DidCreateOptions {
    method: 'key';
    did?: never;
    didDocument?: never;
    options: {
        keyType: KeyType;
    };
    secret?: {
        seed?: string;
    };
}
export declare type KeyDidUpdateOptions = never;
export declare type KeyDidDeactivateOptions = never;
