import type { AgentContext } from '../../../../agent';
import type { IndyEndpointAttrib } from '../../../ledger';
import type { DidRegistrar } from '../../domain/DidRegistrar';
import type { DidCreateOptions, DidCreateResult, DidDeactivateResult, DidUpdateResult } from '../../types';
import type * as Indy from 'indy-sdk';
import { AgentDependencies } from '../../../../agent/AgentDependencies';
import { IndyLedgerService, IndyPoolService } from '../../../ledger';
import { DidRepository } from '../../repository';
export declare class SovDidRegistrar implements DidRegistrar {
    readonly supportedMethods: string[];
    private didRepository;
    private indy;
    private indyLedgerService;
    private indyPoolService;
    constructor(didRepository: DidRepository, indyLedgerService: IndyLedgerService, indyPoolService: IndyPoolService, agentDependencies: AgentDependencies);
    create(agentContext: AgentContext, options: SovDidCreateOptions): Promise<DidCreateResult>;
    update(): Promise<DidUpdateResult>;
    deactivate(): Promise<DidDeactivateResult>;
}
export interface SovDidCreateOptions extends DidCreateOptions {
    method: 'sov';
    did?: undefined;
    didDocument?: never;
    options: {
        alias: string;
        role?: Indy.NymRole;
        endpoints?: IndyEndpointAttrib;
        submitterDid: string;
    };
    secret?: {
        seed?: string;
    };
}
export declare type IndyDidUpdateOptions = never;
export declare type IndyDidDeactivateOptions = never;
