"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SovDidResolver = void 0;
const plugins_1 = require("../../../../plugins");
const ledger_1 = require("../../../ledger");
const util_1 = require("./util");
let SovDidResolver = class SovDidResolver {
    constructor(indyLedgerService) {
        this.supportedMethods = ['sov'];
        this.indyLedgerService = indyLedgerService;
    }
    async resolve(agentContext, did, parsed) {
        const didDocumentMetadata = {};
        try {
            const nym = await this.indyLedgerService.getPublicDid(agentContext, parsed.id);
            const endpoints = await this.indyLedgerService.getEndpointsForDid(agentContext, parsed.id);
            const keyAgreementId = `${parsed.did}#key-agreement-1`;
            const builder = util_1.sovDidDocumentFromDid(parsed.did, nym.verkey);
            util_1.addServicesFromEndpointsAttrib(builder, parsed.did, endpoints, keyAgreementId);
            return {
                didDocument: builder.build(),
                didDocumentMetadata,
                didResolutionMetadata: { contentType: 'application/did+ld+json' },
            };
        }
        catch (error) {
            return {
                didDocument: null,
                didDocumentMetadata,
                didResolutionMetadata: {
                    error: 'notFound',
                    message: `resolver_error: Unable to resolve did '${did}': ${error}`,
                },
            };
        }
    }
};
SovDidResolver = __decorate([
    plugins_1.injectable(),
    __metadata("design:paramtypes", [ledger_1.IndyLedgerService])
], SovDidResolver);
exports.SovDidResolver = SovDidResolver;
//# sourceMappingURL=SovDidResolver.js.map