import type { AgentContext } from '../../../agent';
import type { Key } from '../../../crypto';
import { EventEmitter } from '../../../agent/EventEmitter';
import { Repository } from '../../../storage/Repository';
import { StorageService } from '../../../storage/StorageService';
import { DidRecord } from './DidRecord';
export declare class DidRepository extends Repository<DidRecord> {
    constructor(storageService: StorageService<DidRecord>, eventEmitter: EventEmitter);
    findByRecipientKey(agentContext: AgentContext, recipientKey: Key): Promise<DidRecord | null>;
    findAllByRecipientKey(agentContext: AgentContext, recipientKey: Key): Promise<DidRecord[]>;
    getCreatedDids(agentContext: AgentContext, { method }: {
        method?: string;
    }): Promise<DidRecord[]>;
}
