"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.V1QueryMessageHandler = void 0;
const helpers_1 = require("../../../../../agent/helpers");
const messages_1 = require("../messages");
class V1QueryMessageHandler {
    constructor(discoverFeaturesService) {
        this.supportedMessages = [messages_1.V1QueryMessage];
        this.discoverFeaturesService = discoverFeaturesService;
    }
    async handle(inboundMessage) {
        const connection = inboundMessage.assertReadyConnection();
        const discloseMessage = await this.discoverFeaturesService.processQuery(inboundMessage);
        if (discloseMessage) {
            return helpers_1.createOutboundMessage(connection, discloseMessage.message);
        }
    }
}
exports.V1QueryMessageHandler = V1QueryMessageHandler;
//# sourceMappingURL=V1QueryMessageHandler.js.map