import type { DependencyManager, Module } from '../../plugins';
import type { LedgerModuleConfigOptions } from './LedgerModuleConfig';
import { LedgerApi } from './LedgerApi';
import { LedgerModuleConfig } from './LedgerModuleConfig';
export declare class LedgerModule implements Module {
    readonly config: LedgerModuleConfig;
    readonly api: typeof LedgerApi;
    constructor(config?: LedgerModuleConfigOptions);
    /**
     * Registers the dependencies of the ledger module on the dependency manager.
     */
    register(dependencyManager: DependencyManager): void;
}
