"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LedgerModule = void 0;
const AnonCredsCredentialDefinitionRepository_1 = require("../indy/repository/AnonCredsCredentialDefinitionRepository");
const AnonCredsSchemaRepository_1 = require("../indy/repository/AnonCredsSchemaRepository");
const LedgerApi_1 = require("./LedgerApi");
const LedgerModuleConfig_1 = require("./LedgerModuleConfig");
const services_1 = require("./services");
class LedgerModule {
    constructor(config) {
        this.api = LedgerApi_1.LedgerApi;
        this.config = new LedgerModuleConfig_1.LedgerModuleConfig(config);
    }
    /**
     * Registers the dependencies of the ledger module on the dependency manager.
     */
    register(dependencyManager) {
        // Api
        dependencyManager.registerContextScoped(LedgerApi_1.LedgerApi);
        // Config
        dependencyManager.registerInstance(LedgerModuleConfig_1.LedgerModuleConfig, this.config);
        // Services
        dependencyManager.registerSingleton(services_1.IndyLedgerService);
        dependencyManager.registerSingleton(services_1.IndyPoolService);
        // Repositories
        dependencyManager.registerSingleton(AnonCredsCredentialDefinitionRepository_1.AnonCredsCredentialDefinitionRepository);
        dependencyManager.registerSingleton(AnonCredsSchemaRepository_1.AnonCredsSchemaRepository);
    }
}
exports.LedgerModule = LedgerModule;
//# sourceMappingURL=LedgerModule.js.map