import { AutoAcceptProof } from './models/ProofAutoAcceptType';
/**
 * ProofsModuleConfigOptions defines the interface for the options of the ProofsModuleConfig class.
 * This can contain optional parameters that have default values in the config class itself.
 */
export interface ProofsModuleConfigOptions {
    /**
     * Whether to automatically accept proof messages. Applies to all present proof protocol versions.
     *
     * @default {@link AutoAcceptProof.Never}
     */
    autoAcceptProofs?: AutoAcceptProof;
}
export declare class ProofsModuleConfig {
    private options;
    constructor(options?: ProofsModuleConfigOptions);
    /** See {@link ProofsModuleConfigOptions.autoAcceptProofs} */
    get autoAcceptProofs(): AutoAcceptProof;
}
