"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KeylistUpdateHandler = void 0;
const helpers_1 = require("../../../agent/helpers");
const messages_1 = require("../messages");
class KeylistUpdateHandler {
    constructor(mediatorService) {
        this.supportedMessages = [messages_1.KeylistUpdateMessage];
        this.mediatorService = mediatorService;
    }
    async handle(messageContext) {
        const connection = messageContext.assertReadyConnection();
        const response = await this.mediatorService.processKeylistUpdateRequest(messageContext);
        return helpers_1.createOutboundMessage(connection, response);
    }
}
exports.KeylistUpdateHandler = KeylistUpdateHandler;
//# sourceMappingURL=KeylistUpdateHandler.js.map