import type { WalletConfig, WalletConfigRekey, WalletExportImportConfig } from '../types';
import { AgentContext } from '../agent';
import { Logger } from '../logger';
import { StorageUpdateService } from '../storage';
export declare class WalletApi {
    private agentContext;
    private wallet;
    private storageUpdateService;
    private logger;
    private _walletConfig?;
    constructor(storageUpdateService: StorageUpdateService, agentContext: AgentContext, logger: Logger);
    get isInitialized(): boolean;
    get isProvisioned(): boolean;
    get walletConfig(): WalletConfig | undefined;
    initialize(walletConfig: WalletConfig): Promise<void>;
    createAndOpen(walletConfig: WalletConfig): Promise<void>;
    create(walletConfig: WalletConfig): Promise<void>;
    open(walletConfig: WalletConfig): Promise<void>;
    close(): Promise<void>;
    rotateKey(walletConfig: WalletConfigRekey): Promise<void>;
    delete(): Promise<void>;
    export(exportConfig: WalletExportImportConfig): Promise<void>;
    import(walletConfig: WalletConfig, importConfig: WalletExportImportConfig): Promise<void>;
}
